#!/bin/sh
insmod /boot/rte_kni.ko

# now SPJ is the only case, add multiboard support later
#olt 0
/boot/puma-devbind.py -b vfio-pci 0002:06:00.0 0002:07:00.0 0002:08:00.0 0002:09:00.0
#olt 1
/boot/puma-devbind.py -b vfio-pci 0002:0a:00.0 0002:0b:00.0 0002:0c:00.0 0002:0d:00.0
#uplink
/boot/puma-devbind.py -b vfio-pci 0002:02:00.0 0002:03:00.0 0002:04:00.0 0002:05:00.0
#lbk
/boot/puma-devbind.py -b vfio-pci 0002:01:00.2

#eventdev
/boot/puma-devbind.py -b vfio-pci 0002:0e:00.0
echo 256 > /sys/bus/pci/devices/0002\:0e\:00.0/limits/sso
echo 46 > /sys/bus/pci/devices/0002\:0e\:00.0/limits/ssow
echo 8 > /sys/bus/pci/devices/0002\:0e\:00.0/limits/tim

#hugetlb
echo 8 > /sys/kernel/mm/hugepages/hugepages-524288kB/nr_hugepages
mkdir -p /mnt/huge
mount -t hugetlbfs nodev /mnt/huge -o "pagesize=512M"

# must be 64 bytes more to include PUMA header for Linux-ucode talk so 1600+64=1664
ifconfig lbk0 mtu 1664
ifconfig lbk0 up

[ -x /boot/puma4_MARVELL-SPK ] || chmod +x /boot/puma4_MARVELL-SPK
/boot/puma4_MARVELL-SPK -l 4-23 -n 4 -a 0002:01:00.2,max_pools=512 -a 0002:02:00.0 -a 0002:03:00.0 -a 0002:04:00.0 -a 0002:05:00.0 -a 0002:06:00.0 -a 0002:07:00.0 -a 0002:08:00.0 -a 0002:09:00.0 -a 0002:0a:00.0 -a 0002:0b:00.0 -a 0002:0c:00.0 -a 0002:0d:00.0 -a 0002:0e:00.0 -- -P -p 0x1fff &> /dev/null &

exit 0
